package jp.co.opentone.util;

import java.math.BigInteger;
import java.security.cert.X509Certificate;

import jp.co.opentone.bean.CertInfo;
import jp.co.opentone.encode.Hex;

/**
 * [eBeBNX
 * @author thatanaka
 */
public class CertUtil {
	
	public static final CertInfo createCertInfo(X509Certificate cert) {
		CertInfo info = new CertInfo();
    	// o[Wԍ
    	info.setVersion(cert.getVersion());
    	// VAԍ̎擾
    	BigInteger serialno = cert.getSerialNumber();
    	info.setCertSerial(serialno.toString());
    	// VAԍ(16i)
    	info.setHexCertSerial(new String(Hex.encode(serialno.toByteArray())));
    	// dqASY
    	info.setSignAlgo(cert.getSigAlgName());
    	// s҃vVp
    	info.setIssuerDN(cert.getIssuerDN().toString());
    	// [U[vVp
    	info.setUserDN(cert.getSubjectDN().toString());
    	// LNotBefore
        info.setNotBefore(cert.getNotBefore().toString());
    	// LNotAfter
        info.setNotAfter(cert.getNotAfter().toString());
    	// J
        info.setPublicKey(cert.getPublicKey().toString());
		return info;	
	}
}
